package at.htldornbirn.swp.uebungen.example;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

public class ExampleTest {
    private Example example;

    @BeforeEach
    public void setUp() {
        example = new Example(5, 4);
    }

    @Test
    public void testAdd() {
        Assertions.assertEquals(9, example.add());
    }

    @Test
    public void testSub() {
        Assertions.assertEquals(1, example.sub());
    }

    @Test
    public void testDiv() {
        Assertions.assertEquals(1.25, example.div(), 0.000001);
    }

    @Test
    public void testMul() {
        Assertions.assertEquals(20, example.mul());
    }

    @Test
    public void testPow() {
        Assertions.assertEquals(625, example.pow());
    }

    @Test
    public void testMod() {
        Assertions.assertEquals(1, example.mod());
    }
}
